## org.springframework.jdbc.core
Interface ParameterizedPreparedStatementSetter<T>

    public interface ParameterizedPreparedStatementSetter<T>

Parameterized callback interface used by the `JdbcTemplate` class for batch updates.

This interface sets values on a `PreparedStatement` provided by the JdbcTemplate class, for each of a number of updates in a batch using the same SQL. Implementations are responsible for setting any necessary parameters. SQL with placeholders will already have been supplied.

Implementations do not need to concern themselves with SQLExceptions that may be thrown from operations they attempt. The JdbcTemplate class will catch and handle SQLExceptions appropriately.

Since:
  3.1
Author:
  Nicolas Fabre, Thomas Risberg
See Also:
  `JdbcTemplate#batchUpdate(String sql, Collection<T> objs, int batchSize, ParameterizedPreparedStatementSetter<T> pss)`

Method Summary
`void` `setValues(PreparedStatement ps, T argument)` Set parameter values on the given PreparedStatement.

Method Detail

### setValues

    void setValues(PreparedStatement ps,
                   T argument)
                   throws SQLException

  Set parameter values on the given PreparedStatement.

  Parameters:
    `ps` - the PreparedStatement to invoke setter methods on
    `argument` - the object containing the values to be set
  Throws:
    `SQLException` - if a SQLException is encountered (i.e. there is no need to catch SQLException)